# Create Header
$strHeader = @"
# **********************************************************************************
# A. Baggenstos & CO AG, CH-8304 Wallisellen, www.baggenstos.ch
# -----------------------------------------------------------------------------------
# Department.......: System Technik
# Script-Name......: Dump_Printers.ps1
# Developer........: HGU
# Date.............: 25.09.2012
# Version..........: 1.00
# Purpose..........: Enumerate Printer Ports and Queues from Source Server an dump to CSV
# Output.......... : CSV File
# Called from......:
# Notes............: 
# -----------------------------------------------------------------------------------
# Changed       By		Notes
# 25.09.2012 	HGU		1.00 First Version
# ***********************************************************************************

"@

### Functions
Function Write-Welcome {
	Clear-Host
	Write-Host $strHeader
}

### Main Routine
# Init Variables
$SourceServer = "QuellPrintServer"
$TargetServer = "ZielPrintServer"

# Show Welcome-Screen
Write-Welcome

# Gets all network printer ports and write them to file
$PrinterList
$PrinterList = get-wmiobject Win32_TCPIPPrinterPort -Computername $SourceServer
$PrinterList | Select-Object Name,HostAddress | Export-CSV "C:\Sys\PrinterMigrate\Printer_Port_List.CSV" -delimiter ";" -encoding "unicode" -force -notype


# Gets all network printers and write them to file
$PrinterList
$PrinterList = get-wmiobject win32_printer -Computername $SourceServer -Filter 'Shared = "True"'
$PrinterList | Select-Object Name,Comment,DeviceID,DriverName,Location,PortName,ShareName | Export-CSV "C:\Sys\PrinterMigrate\Printer_Queue_List.CSV" -delimiter ";" -encoding "unicode" -force -notype




