# Create Header
$strHeader = @"
# **********************************************************************************
# A. Baggenstos & CO AG, CH-8304 Wallisellen, www.baggenstos.ch
# -----------------------------------------------------------------------------------
# Department.......: System Technik
# Script-Name......: Create_Printers.ps1
# Developer........: HGU
# Date.............: 25.09.2012
# Version..........: 1.00
# Purpose..........: Read CSV and Create Printer Ports/Queues on target Server
# Input........... : CSV File
# Called from......:
# Notes............: 
# -----------------------------------------------------------------------------------
# Changed       By		Notes
# 25.09.2012 	HGU		1.00 First Version
# ***********************************************************************************

"@
### Functions
Function Write-Welcome {
	Clear-Host
	Write-Host $strHeader
}

function CreatePrinterPort {
	$port = ([WMICLASS]"\\$TargetServer\ROOT\cimv2:Win32_TCPIPPrinterPort").createInstance() 
	$port.Name= $args[0]
	$port.SNMPEnabled=$false 
	$port.Protocol=1 
	$port.HostAddress= $args[1] 
	write-host "Creating Port..."
	Write-Host "Portname: "  $args[0]
	Write-Host "Host Address: "  $args[1]
	$port.Put() 
#	$Temp = Read-Host "Wait..."
}

function CreatePrinter {
	$print = ([WMICLASS]"\\$TargetServer\ROOT\cimv2:Win32_Printer").createInstance() 
	$print.drivername = $args[0]
	$print.PortName = $args[1]
	$print.Shared = $true
	$print.Sharename = $args[2]
	$print.Location = $args[3]
	$print.Comment = $args[4]
	$print.DeviceID = $args[5]
#	$print.Published = $true
	write-host "Creating Printer..."
	Write-Host "Driver: "  $args[0]
	Write-Host "Portname: "  $args[1]
	Write-Host "Sharename: "  $args[2]
	Write-Host "Location: "  $args[3]
	Write-Host "Comment: "  $args[4]
	Write-Host "Printername: "  $args[5]
	$print.Put() 
#	$Temp = Read-Host "Wait..."
}

### Main Routine
# Init Variables
$SourceServer = "QuellPrintServer"
$TargetServer = "ZielPrintServer"

# Show Welcome-Screen
Write-Welcome

# Read Printer Port List
$ports = Import-Csv C:\Sys\PrinterMigrate\Printer_Port_List.CSV -Delimiter ";"
# Create Printer Ports
foreach ($port in $ports) {
	CreatePrinterPort $port.Name $port.HostAddress
}

# Read Printer Queue List
$printers = Import-Csv C:\Sys\PrinterMigrate\Printer_Queue_List.CSV -Delimiter ";"
# Create Printer Queues
foreach ($printer in $printers) {
#Write-Host $printer.Sharename
	CreatePrinter $printer.DriverName $printer.PortName $printer.Sharename $printer.Location $printer.Comment $printer.Name
}
